adjacent_find.hpp File Reference

## Functions

template<typename I , typename S , typename C = equal_to, typename P = identity>
auto | ranges::adjacent_find (I first, S last, C pred=C{}, P proj=P{}) -> I requires forward_iterator< I > &&sentinel_for< S, I > &&indirect_relation< C, projected< I, P >>
| function template `adjacent_find` More...
template<typename Rng , typename C = equal_to, typename P = identity>
auto | ranges::adjacent_find (Rng &&rng, C pred=C{}, P proj=P{}) -> safe_iterator_t< Rng > requires forward_range< Rng > &&indirect_relation< C, projected< iterator_t< Rng >, P >>